<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Package for processing GHRU for AMR data • ghruR</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="bootstrap-toc.css">
<script src="bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="pkgdown.css" rel="stylesheet">
<script src="pkgdown.js"></script><meta property="og:title" content="Package for processing GHRU for AMR data">
<meta property="og:description" content="This package contains utility functions for getting and manipulating data from the GHRU AMR project
    NIHR Global Health Research Unit Genomic Surveillance of Antimicrobial Resistance
    https://ghru.pathogensurveillance.net/">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-home">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><div class="row">
  <div class="contents col-md-9">
<div id="ghrur" class="section level1">
<div class="page-header"><h1 class="hasAnchor">
<a href="#ghrur" class="anchor"></a>ghruR</h1></div>
<p>This package contains useful R functions for analysing GHRU data</p>
<p>See the <a href="https://glcdn.githack.com/cgps/ghru/ghrur/raw/master/docs/index.html">HTML docs</a> for documentation of the functions</p>
<p>See these vignettes for examples <a href="https://glcdn.githack.com/cgps/ghru/ghrur/raw/master/vignettes/analysing_ghru_data.html">basic principals</a> <a href="https://glcdn.githack.com/cgps/ghru/ghrur/raw/master/vignettes/making_microreact_compatible_data.html">making microreact data</a></p>
<div id="installation" class="section level2">
<h2 class="hasAnchor">
<a href="#installation" class="anchor"></a>Installation</h2>
<p>Install from the source from within the R console or the Console in RStudio using (R&gt;= 3.2.0)</p>
<ul>
<li>First download dependencies <code>install.packages(c("googledrive", "googlesheets4", "dplyr", "tidyr", "readr", "stringr", "purrr", "anytime", "magrittr", "ape", "tibble", "GrpString", "ggplot2", "ggeasy", "ggthemes", "RColorBrewer", "ggpubr", "cowplot", "ggupset", "epiR", "forcats", "memoise"",   "collections"))</code>
</li>
</ul>
<p>Choose one of the following options</p>
<ol>
<li>Directly from the latest source code on gitlab (master branch) <code><a href="https://devtools.r-lib.org//reference/remote-reexports.html">devtools::install_git("https://gitlab.com/cgps/ghru/ghrur.git")</a></code>
</li>
<li>Install a specific version (0.3.2 in this example) <code><a href="https://rdrr.io/r/utils/install.packages.html">install.packages("https://gitlab.com/cgps/ghru/ghrur/raw/master/ghruR_0.3.2.tar.gz",repos=NULL, method="libcurl")</a></code>
</li>
</ol>
</div>
<div id="testing" class="section level2">
<h2 class="hasAnchor">
<a href="#testing" class="anchor"></a>Testing</h2>
<p>To run the tests in the <a href="tests/testthat">tests</a> directory use the following command</p>
<pre><code><a href="https://devtools.r-lib.org//reference/test.html">devtools::test()</a></code></pre>
</div>
<div id="make-the-docs-html-page" class="section level2">
<h2 class="hasAnchor">
<a href="#make-the-docs-html-page" class="anchor"></a>Make the docs html page</h2>
<pre><code><a href="https://pkgdown.r-lib.org/reference/build_site.html">pkgdown::build_site()</a></code></pre>
</div>
<div id="make-the-vignette-html-page" class="section level2">
<h2 class="hasAnchor">
<a href="#make-the-vignette-html-page" class="anchor"></a>Make the vignette html page</h2>
<p>If you have added new examples to the vignettes, use the following command to make a new html file</p>
<pre><code><a href="https://pkgs.rstudio.com/rmarkdown/reference/render.html">rmarkdown::render('vignettes/analysing_ghru_data.Rmd')
rmarkdown::render('vignettes/making_microreact_compatible_data.Rmd')</a></code></pre>
</div>
<div id="update-documents" class="section level2">
<h2 class="hasAnchor">
<a href="#update-documents" class="anchor"></a>Update documents</h2>
<p>To generate docs for the package run</p>
<pre><code><a href="https://devtools.r-lib.org//reference/document.html">devtools::document()</a></code></pre>
</div>
<div id="building-the-source" class="section level2">
<h2 class="hasAnchor">
<a href="#building-the-source" class="anchor"></a>Building the source</h2>
<p>To build the package use the command</p>
<pre><code><a href="https://devtools.r-lib.org//reference/build.html"> devtools::build(path='.')</a></code></pre>
</div>
<div id="recommended-development-cycle" class="section level2">
<h2 class="hasAnchor">
<a href="#recommended-development-cycle" class="anchor"></a>Recommended development cycle</h2>
<ol>
<li>Edit code</li>
<li>Run tests <code><a href="https://devtools.r-lib.org//reference/test.html">devtools::test()</a></code>
</li>
<li>Build vignettes, docs and source package <code>for (file in list.files('vignettes', pattern = '*.Rmd', full.names = TRUE)) { rmarkdown::render(file) }     devtools::document()     pkgdown::build_site(lazy = TRUE)     devtools::build(path='.')</code>
</li>
<li>Commit changes to git and push <code>git add .     git commit -m 'Message about changes'     git push</code>
</li>
</ol>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">
    <div class="license">
<h2>License</h2>
<ul class="list-unstyled">
<li><a href="https://opensource.org/licenses/mit-license.php">MIT</a></li>
</ul>
</div>
<div class="developers">
<h2>Developers</h2>
<ul class="list-unstyled">
<li>CGPS team <br><small class="roles"> Maintainer </small>  </li>
</ul>
</div>

  </div>
</div>


      <footer><div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
